package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 仪器序列号关联日志对象 wx_instrument_serial_log
 *
 * @author flossom
 * @date 2024-01-22
 */
public class WxInstrumentSerialLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 会员id
     */
    @Excel(name = "会员id")
    private Long userId;

    /**
     * 会员名称
     */
    @Excel(name = "会员名称")
    private String userName;

    /**
     * 会员手机号码
     */
    @Excel(name = "会员手机号码")
    private String userMobile;

    /**
     * 会员头像
     */
    @Excel(name = "会员头像")
    private String userHeadimg;

    /**
     * 仪器id
     */
    @Excel(name = "仪器id")
    private Long instrumentId;

    /**
     * 仪器名称
     */
    @Excel(name = "仪器名称")
    private String instrumentName;

    /**
     * 序列号
     */
    @Excel(name = "序列号")
    private String serial;

    /**
     * 绑定状态，1未绑定，2已解绑
     */
    @Excel(name = "绑定状态，1未绑定，2已解绑")
    private Integer bindingStatus;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserMobile(String userMobile) {
        this.userMobile = userMobile;
    }

    public String getUserMobile() {
        return userMobile;
    }

    public void setUserHeadimg(String userHeadimg) {
        this.userHeadimg = userHeadimg;
    }

    public String getUserHeadimg() {
        return userHeadimg;
    }

    public void setInstrumentId(Long instrumentId) {
        this.instrumentId = instrumentId;
    }

    public Long getInstrumentId() {
        return instrumentId;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getSerial() {
        return serial;
    }

    public void setBindingStatus(Integer bindingStatus) {
        this.bindingStatus = bindingStatus;
    }

    public Integer getBindingStatus() {
        return bindingStatus;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("userMobile", getUserMobile())
                .append("userHeadimg", getUserHeadimg())
                .append("instrumentId", getInstrumentId())
                .append("instrumentName", getInstrumentName())
                .append("serial", getSerial())
                .append("bindingStatus", getBindingStatus())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("remark", getRemark())
                .toString();
    }
}
